Foreman - Bug #15628

Fix activesupport/rdoc dep issue
07/08/2016 10:45 AM - Mark Austin

Status: Closed
Priority: Normal
Assignee: Ohad Levy
Category: Packaging
Target version:
Difficulty: easy Fixed in Releases: 2.2.0
Triaged: No Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4503,
https://github.com/theforeman/foreman/p
ull/7671,
https://github.com/theforeman/foreman/p
ull/7688
Description

Installation from current source results in the following error:

/opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in “require': cannot load such file --
rdoc (LoadError)

from /opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in “block in require'
from /opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in “load_dependency'
from /opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in “require’

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/markup.rb:8:in “initialize'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/configuration.rb:139:in “new'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/configuration.rb:139:in “initialize'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/apipie_module.rb:26:in "new’

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/apipie_module.rb:26:in “configuration’

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/extractor.rb:38:in “finish'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/extractor.rb:179:in “block in <top (required)>'

Associated revisions

Revision 604e1e99 - 05/21/2020 09:12 AM - Viliam Krizan

Fixes #15628 - Require rdoc for apipie-rails

apipie-rails has rdoc optional, however, its default markup generator is
RDoc. rdoc seems to be found on most of the default OS installations
through inclusion from rubygems.

This fixes (development) setup when rdoc is missing:
“require': cannot load such file -- rdoc (LoadError)

Technically, the apipie-rails should not fail with default configuraton
when an optional dependency is not installed:
https://github.com/Apipie/apipie-rails/issues/544

Revision f630418a - 05/25/2020 07:42 AM - Ohad Levy

refs #15628 - remove unused rdoc gem reference

History

#1 - 07/08/2016 10:48 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3632 added
https://github.com/Apipie/apipie-rails/issues/544

#2 - 01/19/2017 03:33 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Mark Austin)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3632)

PR closed due to inactivity, but the issue is still valid (on Ruby distributions with RDoc shipped separately).

#3 - 05/20/2017 10:43 AM - Anonymous
- Pull request https://github.com/theforeman/foreman/pull/4503 added

#4 - 05/20/2020 10:55 AM - Viliam Krizan

Mark Austin wrote:
Installation from current source results in the following error:

/opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in “require": cannot load such file -- rdoc
(LoadError)

from /opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in “block in require'
from /opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:240:in “load_dependency'
from /opt/foreman/vendor/ruby/2.1.0/gems/activesupport-4.2.6/lib/active_support/dependencies.rb:274:in “require’

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/markup.rb:8:in “initialize'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/configuration.rb:139:in “new'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/configuration.rb:139:in “initialize'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/apipie_module.rb:26:in “new'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/apipie_module.rb:26:in “configuration'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/extractor.rb:38:in “finish'

from /opt/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.3.6/lib/apipie/extractor.rb:179:in “block in <top (required)>'

This is an issue of apipie-rails: https:/github.com/Apipie/apipie-rails/issues/544

rdoc is set as a development (optional) dependency, however it is required right on the apipie-rails import.

#5 - 05/20/2020 12:01 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7671 added

#6 - 05/21/2020 09:12 AM - The Foreman Bot
- Fixed in Releases 2.2.0 added

#7 - 05/21/2020 10:01 AM - Viliam Krizan
- Status changed from Ready For Testing to Closed

Applied in changeset 604e1e99f5d79fc01fcdf0396¢c1c75a73e0f7b10.

#8 - 05/24/2020 06:50 PM - The Foreman Bot
- Assignee set to Ohad Levy
- Pull request https://github.com/theforeman/foreman/pull/7688 added

#9 - 09/10/2020 04:58 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/7975 added
